<?xml version="1.0" encoding="UTF-8"?>
<web-app xmlns="http://java.sun.com/xml/ns/j2ee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-app_2_4.xsd" version="2.4">
	<description>web</description>
	<display-name>web</display-name>
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/sso/applicationContext-ssoClient.xml</param-value>
	</context-param><context-param>
		<param-name>javax.faces.STATE_SAVING_METHOD</param-name>
		<param-value>client</param-value>
	</context-param><context-param>
        <param-name>facelets.SKIP_COMMENTS</param-name>
   		 <param-value>true</param-value>
    </context-param><context-param>
		<param-name>
			org.operamasks.faces.IMPLICIT_NAVIGATION
		</param-name>
		<param-value>true</param-value>
	</context-param>
	<context-param>
		<param-name>
			org.operamasks.faces.COMPATIBLE_NOT_STRICT
		</param-name>
		<param-value>false</param-value>
	</context-param>
	<context-param>
		<param-name>org.operamasks.faces.SKIN</param-name>
		<param-value>waf</param-value>
	</context-param>
	<context-param>
		<param-name>javax.faces.DEFAULT_SUFFIX</param-name>
		<param-value>.xhtml</param-value>
	</context-param>
	<context-param>
		<param-name>
			org.operamasks.ATTRIBUTE_SETTING_CONFIG_FILE
		</param-name>
		<param-value>/WEB-INF/attributeSetting.properties</param-value>
	</context-param>

	<!--cas 3.0 client begin-->
	<context-param>
		<param-name>facelets.LIBRARIES</param-name>
		<param-value>/WEB-INF/taglib/waf.taglib.xml</param-value>
	</context-param>
	
	<!-- value: development, production -->
	<context-param>
		<param-name>productionMode</param-name>
		<param-value>production</param-value>
	</context-param>
	<!-- Light App login filter begin --> 
	<filter>  
		<filter-name>CAS Single Sign Out Filter</filter-name>    
		<filter-class>org.jasig.cas.client.session.SingleSignOutFilter</filter-class>    
	</filter>
    <filter>
		<filter-name>encodingFilter</filter-name>
		<filter-class>
          org.springframework.web.filter.CharacterEncodingFilter
		</filter-class>
		<init-param> 
			<param-name>encoding</param-name>
			<param-value>UTF-8</param-value>
		</init-param>
		<init-param> 
			<param-name>forceEncoding</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>encodingFilter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	<filter-mapping> 
		<filter-name>encodingFilter</filter-name>
		<url-pattern>*.jsp</url-pattern>
	</filter-mapping>
	
	<!-- order:1  SHRRequestParamWrapFilter -->
	<filter>
		<filter-name>SHRRequestParamWrapFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.SHRRequestParameterWrapFilter</filter-class>
		<init-param>
      		<param-name>enableSHRRequestParamWrapFilter</param-name>
      		<param-value>true</param-value>
   		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>SHRRequestParamWrapFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
	

	<!-- order:2 XSSFilter -->
		<filter>
		<filter-name>XSSFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.XSSFilter</filter-class>
		<init-param>
			<!--request uipkWhiteList , if  request uipk include uipkWhiteList,then ignore filter -->
      		<param-name>uipkAndHandlerWhiteList</param-name>
      		<param-value>
      			com.kingdee.shr.base.syssetting.app.UIView.form,
      			sourcecompare,
      			com.kingdee.shr.base.syssetting.app.PrivacyAgreement.form,
      			com.kingdee.shr.baseconfig.app.DocumentationConfig.form,
				com.kingdee.shr.base.syssetting.app.FieldRule.form
      		</param-value>
   		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>XSSFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>

	<!-- order:3 SQLInjectionFilter -->
	<filter>
		<filter-name>SQLInjectionFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.SQLInjectionFilter</filter-class>
		<init-param>
      		<param-name>enableSQLInjectionFilter</param-name>
      		<!--enableSQLInjectionFilter default value is true,if need turn on,change value is : false -->
      		<param-value>true</param-value>
   		</init-param>
		<init-param>
			<!--request uipkWhiteList , if  request uipk include uipkWhiteList,then ignore filter -->
      		<param-name>uipkWhiteList</param-name>
      		<param-value>
      			com.kingdee.shr.dataplatform.app.CustomSQL.form,
      			com.kingdee.shr.dataplatform.app.DataSetConfig.form,
      			com.kingdee.shr.base.syssetting.app.UIView.form,
      			com.kingdee.shr.base.syssetting.app.FieldRange.form,
      			com.kingdee.shr.base.syssetting.app.ListFilterSolution.form,
      			com.kingdee.shr.base.syssetting.app.ListSetSolution.form,
      			shr.report.ReportDefGuidev2.0,
      			com.kingdee.eas.rpts.ctrlsqldesign.app.KSQLReport.form,
      			com.kingdee.shr.compensation.app.FormulaFunc.form,
      			com.kingdee.shr.compensation.app.FormulaTmpTable.form
      		</param-value>
   		</init-param>
		<init-param>
			<!--sql key wrod , if  request value include drop or delete .... ,then replace -->
			<param-name>sqlKeyWord</param-name>
			<param-value>drop,delete,truncate,update,insert,dbo.sysdatabases,
			dbo.sysdatabases--,information_schema.columns,table_schema,
			xp_cmdshell,group_concat,table_schema,declare,sitename,||,
			exec,execute,create,table,grant,use,column_name,union,*,master,;,-,+,//,/,%,#,all_tab_columns,ascii,substring</param-value>
		</init-param>
		<init-param>
			<!--verify parameter list, if request key include permItemId and value contains sql inject style ,then replace -->
			<param-name>sqlinjectfilterparams</param-name>
			<param-value>permItemId,personId,personID,relatedFieldId,serviceId,rootId,nodeId,billId,orgId,orgid,serviceName,uipk,sorterItems,parameters,sidx,sord,query,staffingId,staffId,uiClass,keyField,nd,objectID,proposerName,attendPeriodId,attendanceGroupID,proposerId,attendPolicyId,orgLongNum,bizManageTypeID,billIdParam,personid,positionId</param-value>
		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>SQLInjectionFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
    <!-- Light App login filter begin -->
	<filter>  
		<filter-name>Light App Login Filter</filter-name>    
		<filter-class>com.kingdee.shr.lightapp.filter.LightAppLoginFilter</filter-class>    
	</filter>
	<filter-mapping>
	    <filter-name>Light App Login Filter</filter-name>
        <url-pattern>/*</url-pattern>		
	</filter-mapping>
		
	<!-- AppScanAttackFilter -->
	<filter>
		<filter-name>AppScanAttackFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.AppScanAttackFilter</filter-class>
		<init-param>
			<param-name>enableAppScanAttackFilter</param-name>
			<param-value>true</param-value>
		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>AppScanAttackFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
	<!-- order:4 DisableUrlSessionFilter -->
    <filter>
		<filter-name>DisableUrlSessionFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.DisableUrlSessionFilter</filter-class>
		<init-param>
			<param-name>excludePattern</param-name>
			<param-value>
				method=print+,method=import+,handler=com.kingdee.shr.base.syssetting.web.handler.ImportInfoHandler,uipk=com.kingdee.shr.report.app.ReportDef.list	
			</param-value>
		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>DisableUrlSessionFilter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	<filter-mapping> 
		<filter-name>DisableUrlSessionFilter</filter-name>
		<url-pattern>*.jsp</url-pattern>
	</filter-mapping>	
	
	<filter>
		<filter-name>SHRAuthentiactionFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.SHRAuthenticationFilter</filter-class>
		<init-param>
			<param-name>excludePattern</param-name>
			<param-value>	
			</param-value>
		</init-param>
	</filter>
	<filter-mapping> 
		<filter-name>SHRAuthentiactionFilter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	<filter-mapping> 
		<filter-name>SHRAuthentiactionFilter</filter-name>
		<url-pattern>*.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping> 
		<filter-name>SHRAuthentiactionFilter</filter-name>
		<url-pattern>*.html</url-pattern>
	</filter-mapping>
	<filter-mapping> 
		<filter-name>SHRAuthentiactionFilter</filter-name>
		<url-pattern>*.htm</url-pattern>
	</filter-mapping>
	
	
	<filter>
		<filter-name>CAS Authentication Filter</filter-name>
		<filter-class>
			org.springframework.web.filter.DelegatingFilterProxy
		</filter-class>
		<init-param>
			<param-name>targetBeanName</param-name>
			<param-value>casAuthenticationFilter</param-value>
		</init-param>
	</filter>
	
	<filter-mapping>  
		<filter-name>CAS Authentication Filter</filter-name>  
		<url-pattern>/*</url-pattern>  
	</filter-mapping>

	<filter>
		<filter-name>CAS Validation Filter</filter-name>
		<filter-class>
			org.springframework.web.filter.DelegatingFilterProxy
		</filter-class>
		<init-param>
			<param-name>targetBeanName</param-name>
			<param-value>casTicketValidationFilter</param-value>
		</init-param>
	</filter>
		<filter-mapping>  
		<filter-name>CAS Validation Filter</filter-name>    
		<url-pattern>/*</url-pattern>    
	</filter-mapping>
	
	
	<filter>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<filter-class>org.jasig.cas.client.util.HttpServletRequestWrapperFilter</filter-class>
	</filter>
	<!--filter>
		<filter-name>WafFilter</filter-name>
		<filter-class>
			com.kingdee.bos.waf.intercepter.ExtensionFilter
		</filter-class>
	</filter-->
	
	<filter-mapping>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	
	
	<filter>
		<filter-name>ContextConstructorFilter</filter-name>
		<filter-class>com.kingdee.bos.sso.client.filter.ContextConstructorFilter</filter-class>
	</filter>
	<filter-mapping>
		<filter-name>ContextConstructorFilter</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	<!-- SSO 结束 -->
	
	<!-- 暂时禁用性能监控filter
	<filter>
    	<filter-name>PerfLog Filter</filter-name>
    	<filter-class>com.kingdee.eas.perflog.app.monitor.http.HttpFilter</filter-class>
	</filter>
	
	<filter-mapping>
	    <filter-name>PerfLog Filter</filter-name>
	    <url-pattern>*</url-pattern>
	</filter-mapping>  
	 -->
	
	<!--filter-mapping>
		<filter-name>CAS Single Sign Out Filter</filter-name>    
		<url-pattern>/*</url-pattern>    
	</filter-mapping-->
      

	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/wfdesigner/*</url-pattern>
	</filter-mapping><filter-mapping>
		<filter-name>CAS Authentication Filter</filter-name>
		<url-pattern>/wfdesigner/*</url-pattern>
	</filter-mapping>
	<!-- <filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/wfdesigner/*</url-pattern>
	</filter-mapping><filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/messagebroker/*</url-pattern>
	</filter-mapping><filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/processimage/*</url-pattern>
	</filter-mapping> -->
	<filter-mapping>
		<filter-name>CAS Authentication Filter</filter-name>
		<url-pattern>/servlet/BillServlet</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS Authentication Filter</filter-name>
		<url-pattern>/servlet/ListServlet</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/servlet/BillServlet</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/servlet/ListServlet</url-pattern>
	</filter-mapping>

	<filter-mapping>
		<filter-name>CAS Authentication Filter</filter-name>
		<url-pattern>/wf-portal/*</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/wf-portal/*</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<url-pattern>/wf-portal/*</url-pattern>
	</filter-mapping>
	
	<filter-mapping>
        <filter-name>CAS Authentication Filter</filter-name>
        <url-pattern>/workflow/*</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>CAS Validation Filter</filter-name>
        <url-pattern>/workflow/*</url-pattern>
    </filter-mapping>
          <filter-mapping>
        <filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
        <url-pattern>/workflow/*</url-pattern>
    </filter-mapping>
    
	<filter-mapping>
		<filter-name>CAS Authentication Filter</filter-name>
		<url-pattern>/billdigesttools/*.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS Validation Filter</filter-name>
		<url-pattern>/billdigesttools/*.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<url-pattern>/billdigesttools/*.jsp</url-pattern>
	</filter-mapping>
	
	
	<!--filter-mapping>

		<filter-name>WafFilter</filter-name>
		<url-pattern>*.jsp</url-pattern>
	</filter-mapping-->
	
	<!--cas 3.0 client end-->
	
	<filter>
          <filter-name>SHRWeb RPC Filter</filter-name>
          <filter-class>com.kingdee.shr.base.syssetting.filter.SHRWebRPCFilter</filter-class>
     </filter>
     <!--EASWeb RPC Filter-->
     <filter-mapping>
         <filter-name>SHRWeb RPC Filter</filter-name>
         <url-pattern>/*</url-pattern>
    </filter-mapping>
    
	<!-- <filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>*.jsf</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/servlet/BillServlet</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/servlet/BillEditServlet</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/servlet/ListServlet</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>WafFilter</filter-name>
		<url-pattern>/servlet/BillListServlet</url-pattern>
	</filter-mapping> -->
	
	<filter> 
		<filter-name>User Monitor</filter-name> 
		<filter-class>com.kingdee.eas.hr.base.web.UserMonitorFilter</filter-class> 
    </filter>
    <filter-mapping> 
		<filter-name>User Monitor</filter-name>
		<url-pattern>*.action</url-pattern>
    </filter-mapping>
	    <filter-mapping> 
		<filter-name>User Monitor</filter-name>
		<url-pattern>*.do</url-pattern>
    </filter-mapping>
	<filter-mapping> 
		<filter-name>User Monitor</filter-name>
		<url-pattern>*.jsp</url-pattern>
    </filter-mapping>
    <filter-mapping> 
		<filter-name>User Monitor</filter-name>
		<url-pattern>*.html</url-pattern>
    </filter-mapping>
    
    <filter> 
		<filter-name>HR context Filter</filter-name> 
		<filter-class>com.kingdee.shr.base.filter.HRContextFilter</filter-class> 
    </filter>
	    <filter-mapping> 
		<filter-name>HR context Filter</filter-name>
		<url-pattern>*.action</url-pattern>
    </filter-mapping>
	    <filter-mapping> 
		<filter-name>HR context Filter</filter-name>
		<url-pattern>*.do</url-pattern>
    </filter-mapping>
	<filter-mapping> 
		<filter-name>HR context Filter</filter-name>
		<url-pattern>*.jsp</url-pattern>
    </filter-mapping>
    <filter-mapping> 
		<filter-name>HR context Filter</filter-name>
		<url-pattern>*.html</url-pattern>
    </filter-mapping>
    
    <filter>
        <filter-name>Upgrade Monitor</filter-name>
        <filter-class>com.kingdee.shr.base.syssetting.filter.UpgradeMonitorFilter</filter-class>
        <init-param>
        	<!-- 升级url白名单，配置在里面的无需拦截-->
        	<param-name>urlWhiteListed</param-name>
        	<param-value>
            	/index.jsp,
            	/login.do,
            	/notUpgraded.jsp,
            	/logout.jsp,
            	/personSquarePhoto.do,
            	/serviceMenu.do,
            	/heartbeat.do,
            	/shr/msf/service.do,
            	/promptF7.do,
            	/appData.do,
            	/ces.jsp,
            	/clubService/getUnReadNews.do,
            	/web_frame/easrpc/login.do,
            	/web_frame/easrpc/frame.do,
            	/shr_loginout/logoutAndReleaseResource.do
        	</param-value>
    	</init-param>
    	<init-param>
    		<!-- 升级uipk白名单，配置在里面的无需拦截-->
        	<param-name>uipkWhiteListed</param-name>
        	<param-value>
            	com.kingdee.eas.hr.mvdt.app.ControlDataMoveProject.form,
            	shr.org.AdminOrgUnitDataMove_list,
            	com.kingdee.eas.basedata.org.app.OrgUnitLayerType.F7,
            	shr.org.AdminOrgUnitDataMove_form,
            	com.kingdee.shr.shrimport.app.ImportTask.userList
        	</param-value>
    	</init-param>
    	<init-param>
    		<!-- 升级handler白名单，配置在里面的无需拦截-->
        	<param-name>handlerWhiteListed</param-name>
        	<param-value>
            	com.kingdee.eas.hr.mvdt.web.handler.ControlDataMoveProjectHandler,
            	com.kingdee.eas.hr.mvdt.web.handler.DataMoveProjectHandler,
            	com.kingdee.eas.hr.mvdt.web.handler.SHRMvTableListHandler,
            	com.kingdee.shr.base.syssetting.web.handler.ImportInfoHandler,
            	com.kingdee.eas.hr.org.web.handler.OrgUnitListHandler,
            	com.kingdee.eas.hr.org.web.handler.OrgUnitLayerTypeF7Handler,
            	com.kingdee.shr.hr.mvdt.handler.ControlAdminDataMoveHandler,
            	com.kingdee.eas.hr.org.web.handler.OrgUnitEditHandler,
            	com.kingdee.shr.base.syssetting.web.handler.SystemConfigSolutionHandler,
            	com.kingdee.shr.hr.mvdt.handler.ControlCompensationDataMoveHandler,
            	com.kingdee.shr.base.syssetting.web.handler.LogJarClassInfoToolsHandler
        	</param-value>
    	</init-param>
    </filter>
    <filter-mapping> 
		<filter-name>Upgrade Monitor</filter-name>
		<url-pattern>*.action</url-pattern>
    </filter-mapping>
    <filter-mapping> 
		<filter-name>Upgrade Monitor</filter-name>
		<url-pattern>*.do</url-pattern>
    </filter-mapping>
	<filter-mapping> 
		<filter-name>Upgrade Monitor</filter-name>
		<url-pattern>*.jsp</url-pattern>
    </filter-mapping>
    <filter-mapping> 
		<filter-name>Upgrade Monitor</filter-name>
		<url-pattern>*.html</url-pattern>
    </filter-mapping>
	
	<listener>
		<listener-class>
			org.springframework.web.context.ContextLoaderListener
		</listener-class>
	</listener>
	
		<!-- SSO 开始 -->
	<listener>
		<listener-class>com.kingdee.eas.cp.common.url.service.web.WebSessionListener</listener-class>
	</listener>
	
	<!-- <servlet>
		<servlet-name>WfProcessImageServlet</servlet-name>
		<servlet-class>com.kingdee.bos.workflow.designer.servlet.ProcessImageServlet</servlet-class>
		<load-on-startup>2</load-on-startup>
	</servlet> -->
	<!--servlet>
		<servlet-name>FlexMessageBrokerServlet</servlet-name>
		<servlet-class>flex.messaging.MessageBrokerServlet</servlet-class>
		<init-param>
			<param-name>services.configuration.file</param-name>
			<param-value>/WEB-INF/flex/services-config.xml</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet-->
	<!--servlet>
		<servlet-name>Faces Servlet</servlet-name>
		<servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
		<load-on-startup>1</load-on-startup>
	</servlet-->
	<!--servlet>
		<servlet-name>ResourceServlet</servlet-name>
		<servlet-class>
			com.kingdee.bos.web.resource.ResourceServlet
		</servlet-class>
		<load-on-startup>10</load-on-startup>
	</servlet-->
	<!--servlet>
		<servlet-name>Logout Servlet</servlet-name>
		<servlet-class>
			com.kingdee.bos.waf.security.Logout
		</servlet-class>
	</servlet-->
	
	<!-- webApi servlet-->
	<servlet>
		<servlet-name>OAToSHR</servlet-name>
		<servlet-class>com.kingdee.eas.custom.sso.OAToSHR</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>OAToSHR</servlet-name>
		<url-pattern>/api/oAToSHR</url-pattern>
	</servlet-mapping>

	<!-- webApi servlet-->
	<servlet>
		<servlet-name>OAToMbos</servlet-name>
		<servlet-class>com.kingdee.eas.custom.sso.OAToMBos</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>OAToMbos</servlet-name>
		<url-pattern>/api/oAToMBos</url-pattern>
	</servlet-mapping>

	<!-- BatchApprove servlet-->
	<servlet>
		<servlet-name>batchApprove</servlet-name>
		<servlet-class>com.kingdee.eas.custom.sso.BatchApprove</servlet-class>
	</servlet>
	<servlet-mapping>
		<servlet-name>batchApprove</servlet-name>
		<url-pattern>/api/batchApprove</url-pattern>
	</servlet-mapping>

	<servlet>
		<servlet-name>BuffaloServlet</servlet-name>
		<servlet-class>net.buffalo.web.servlet.ApplicationServlet</servlet-class>
		<init-param>
			<param-name>debug</param-name>
			<param-value>true</param-value>
		</init-param>
	</servlet>

	
	<servlet-mapping>
		<servlet-name>BuffaloServlet</servlet-name>
		<url-pattern>/BUFFALO/*</url-pattern>
	</servlet-mapping>

	<!-- <servlet-mapping>
		<servlet-name>WfProcessImageServlet</servlet-name>
		<url-pattern>/processimage/*</url-pattern>
	</servlet-mapping> -->
	<!-- <servlet-mapping>
		<servlet-name>FlexMessageBrokerServlet</servlet-name>
		<url-pattern>/messagebroker/*</url-pattern>
	</servlet-mapping> -->

	<!--servlet-mapping>
		<servlet-name>Faces Servlet</servlet-name>
		<url-pattern>*.jsf</url-pattern>
	</servlet-mapping-->
	<servlet-mapping>
		<servlet-name>Logout Servlet</servlet-name>
		<url-pattern>/logout</url-pattern>
	</servlet-mapping>
	<!--servlet-mapping>
		<servlet-name>ResourceServlet</servlet-name>
		<url-pattern>/_global/*</url-pattern>
	</servlet-mapping-->
	
	<mime-mapping> 
		<extension>mht</extension> 
		<mime-type>message/rfc822</mime-type> 
	</mime-mapping>
	
	<!-- pack script -->
	<servlet>
		<description>This is the servlet needed for cache.type servlet, returns the packed resources</description>
		<display-name>PackServlet</display-name>
		<servlet-name>PackServlet</servlet-name>
		<servlet-class>net.sf.packtag.servlet.PackServlet</servlet-class>
	</servlet>

	<servlet-mapping>
		<servlet-name>PackServlet</servlet-name>
		<url-pattern>styles/combined*.css</url-pattern>
	</servlet-mapping>	
	<servlet-mapping>
		<servlet-name>PackServlet</servlet-name>
		<url-pattern>combined*.js</url-pattern>
	</servlet-mapping>	
	<servlet-mapping>
		<servlet-name>PackServlet</servlet-name>
		<url-pattern>styles/external*.css</url-pattern>
	</servlet-mapping>	
	<servlet-mapping>
		<servlet-name>PackServlet</servlet-name>
		<url-pattern>external*.js</url-pattern>
	</servlet-mapping>
	
	<context-param>
		<param-name>
			com.kingdee.bos.webframework.SCRIPT_DEBUG
		</param-name>
		<param-value>false</param-value>
	</context-param>
	<context-param>
		<param-name>
			com.kingdee.bos.webframework.SUPPORT_MULTILANG
		</param-name>
		<param-value>false</param-value>
	</context-param>
	<context-param>
		<param-name>
			com.kingdee.bos.webframework.LANGS
		</param-name>
		<param-value>L1,L2,L3</param-value>
	</context-param>
	
	 <!--context-param>   
	    <param-name>webAppRootKey</param-name>   
	    <param-value>easweb.root</param-value> 
	 </context-param--> 
	 <!--listener>   
	    <listener-class>   
	    org.springframework.web.util.WebAppRootListener   
	    </listener-class>   
	 </listener-->
	
	<filter>
		<filter-name>WafHttpRequestFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.filter.ShrHttpRequestFilter</filter-class>
		<init-param>
			<param-name>CONVERSATION_SUPPORT</param-name>
			<param-value>true</param-value>
		</init-param>
		<init-param>
			<param-name>RESPONSE_BUFFER_SIZE</param-name>
			<param-value>5000</param-value>
		</init-param>
	</filter> 
	<filter-mapping>  
		<filter-name>CAS Authentication Filter</filter-name>  
		<url-pattern>*.do</url-pattern>  
	</filter-mapping>
	<filter-mapping>  
		<filter-name>CAS Validation Filter</filter-name>    
		<url-pattern>*.do</url-pattern>    
	</filter-mapping>
	<filter-mapping>
		<filter-name>CAS HttpServletRequest Wrapper Filter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	
	<filter>
		<filter-name>Waf2ContextFilter</filter-name>
		<filter-class>
            com.kingdee.shr.base.syssetting.filter.SHRContextFilter
		</filter-class>
	</filter>

	<filter-mapping>
		<filter-name>Waf2ContextFilter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>WafHttpRequestFilter</filter-name>
		<url-pattern>*.do</url-pattern>
	</filter-mapping>
	
	<!-- order:  SHRRequestWorkPlatformFilter -->
	<filter>
		<filter-name>SHRRequestWorkPlatformFilter</filter-name>
		<filter-class>com.kingdee.shr.base.syssetting.web.filter.SHRRequestWorkPlatformFilter</filter-class>
	</filter>
	<filter-mapping> 
		<filter-name>SHRRequestWorkPlatformFilter</filter-name>
		<url-pattern>*.html</url-pattern>
	</filter-mapping>
	
	<servlet>
		<servlet-name>MVCServlet</servlet-name>
		<servlet-class>org.springframework.web.servlet.DispatcherServlet</servlet-class>
		<init-param>
			<param-name>contextConfigLocation</param-name>
			<param-value>/WEB-INF/properties/applicationContext.xml</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet-mapping>
		<servlet-name>MVCServlet</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>

	<!-- 500错误页面 -->
	<error-page>
        <error-code>500</error-code>
        <location>/500.jsp</location>
    </error-page>
	
	<!-- 404错误页面 -->
	<error-page>
        <error-code>404</error-code>
        <location>/404.jsp</location>
    </error-page>
	
	<listener>
		<listener-class>com.kingdee.shr.base.syssetting.web.listener.SHRAppListener</listener-class>
	</listener>
	<listener>
		<listener-class>com.kingdee.shr.base.syssetting.web.listener.SHRSessionListener</listener-class>
	</listener>	
	
	<welcome-file-list>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>
	
	<mime-mapping>
		<extension>docx</extension>
		<mime-type>application/vnd.openxmlformats-officedocument.wordprocessingml.document</mime-type>
	</mime-mapping>
	<mime-mapping>
		<extension>xlsx</extension>
		<mime-type>application/vnd.openxmlformats-officedocument.spreadsheetml.sheet</mime-type>
	</mime-mapping>
	<mime-mapping>
		<extension>pptx</extension>
		<mime-type>application/vnd.openxmlformats-officedocument.presentationml.presentation</mime-type>
	</mime-mapping>
</web-app>